> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Policy Versions

> List Policy Versions



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/governance/v1/policies/{id}/versions
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/governance/v1/policies/{id}/versions:
    get:
      tags:
        - Governance policies
      summary: List Policy Versions
      description: List Policy Versions
      parameters:
        - description: Limit
          name: limit
          in: query
          schema:
            type: integer
        - description: Offset
          name: offset
          in: query
          schema:
            type: integer
        - description: ID of policy of the policy versions to retrieve
          name: id
          in: path
          required: true
          schema:
            type: string
        - description: Order by
          name: order_by
          in: query
          schema:
            type: string
        - description: Search
          name: search
          in: query
          schema:
            type: string
        - description: Status
          name: status
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/rai-guardrails-service_server.PaginatedPolicyVersionOverviews
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
components:
  schemas:
    rai-guardrails-service_server.PaginatedPolicyVersionOverviews:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/rai-guardrails-service_guardrails.PolicyVersionOverview
        meta:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.Meta'
    rai-guardrails-service_server.HTTPError:
      type: object
      properties:
        code:
          description: >-
            Code is a stable machine-readable error identifier; absent on most
            errors.
          allOf:
            - $ref: '#/components/schemas/rai-guardrails-service_guardrails.ErrorCode'
        message:
          type: string
    rai-guardrails-service_guardrails.PolicyVersionOverview:
      type: object
      properties:
        createdBy:
          type: object
        id:
          type: string
        policyId:
          type: string
        status:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.PolicyStatus'
        updatedAt:
          type: string
        version:
          type: string
    rai-guardrails-service_guardrails.Meta:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: '#/components/schemas/rai-guardrails-service_guardrails.Filter'
        pagination:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.Pagination'
        search:
          type: string
        sort:
          type: array
          items:
            $ref: '#/components/schemas/rai-guardrails-service_guardrails.Sorter'
    rai-guardrails-service_guardrails.ErrorCode:
      type: string
      enum:
        - BUNDLE_REQUIRES_POLICY
      x-enum-varnames:
        - CodeBundleRequiresPolicy
    rai-guardrails-service_guardrails.PolicyStatus:
      type: string
      enum:
        - Draft
        - Published
        - Archived
      x-enum-varnames:
        - PolicyDraft
        - PolicyPublished
        - PolicyArchived
    rai-guardrails-service_guardrails.Filter:
      type: object
      properties:
        key:
          type: string
        values:
          items:
            type: string
          type: array
    rai-guardrails-service_guardrails.Pagination:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        totalCount:
          type: integer
    rai-guardrails-service_guardrails.Sorter:
      type: object
      properties:
        key:
          type: string
        order:
          type: string

````

## Related topics

- [List policy overviews](/6.3/api-reference/governance-policies/list-policy-overviews.md)
- [Define policies](/6.3/platform-capabilities/features/governance/define-governance-policies/index.md)
- [List policy enforcers](/6.3/api-reference/governance-policies/list-policy-enforcers.md)
- [Draft a policy version](/6.3/api-reference/governance-policies/draft-a-policy-version.md)
